/**********************************************************************
 *
 * pageaction.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: pageaction.h 261 1999-06-08 04:29:42Z sjboddie $
 *
 *********************************************************************/


#ifndef PAGEACTION_H
#define PAGEACTION_H


#include "gsdlconf.h"
#include "action.h"


class pageaction : public action {
  
public:
  pageaction ();
  virtual ~pageaction ();

  text_t get_action_name () {return "p";}

  bool check_cgiargs (cgiargsinfoclass &argsinfo, cgiargsclass &args, 
		      ostream &logout);

  void get_cgihead_info (cgiargsclass &args, response_t &response,
			 text_t &response_data, ostream &logout);

  bool do_action (cgiargsclass &args, recptproto *collectproto,
		  displayclass &disp, outconvertclass &outconvert, 
		  ostream &textout, ostream &logout);
};


#endif
